Example #1
0
        public SymbolElement(Dynamic.Tekla.Structures.Drawing.SymbolInfo Symbol)
        {
            var args = new object[1];

            args[0]          = Dynamic.Tekla.Structures.Drawing.SymbolInfo_.GetTSObject(Symbol);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.SymbolElement", args);
        }
Example #2
0
        public SymbolElement(Dynamic.Tekla.Structures.Drawing.SymbolInfo Symbol, Dynamic.Tekla.Structures.Drawing.DrawingColors Color, System.Double Height)
        {
            var args = new object[3];

            args[0]          = Dynamic.Tekla.Structures.Drawing.SymbolInfo_.GetTSObject(Symbol);
            args[1]          = Dynamic.Tekla.Structures.Drawing.DrawingColors_.GetTSObject(Color);
            args[2]          = Height;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.SymbolElement", args);
        }
Example #3
0
        public Symbol(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Drawing.SymbolInfo SymbolInfo, Dynamic.Tekla.Structures.Drawing.Symbol.SymbolAttributes Attributes, Dynamic.Tekla.Structures.Drawing.PlacingBase Placing)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Drawing.SymbolInfo_.GetTSObject(SymbolInfo);
            args[3]          = Dynamic.Tekla.Structures.Drawing.Symbol.SymbolAttributes_.GetTSObject(Attributes);
            args[4]          = Dynamic.Tekla.Structures.Drawing.PlacingBase_.GetTSObject(Placing);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Symbol", args);
        }